Subject: Bi-directional sync with Git - direct access to server?

From: "[email-masked]" <[email-masked]>
Date: Fri, 04 Mar 2011 18:44:41 +0100

Hi,

I'm developing a bi-directional synchronization between Plastic SCM and Git.

I've seen the hg-git Mercurial plugin by Scott Chacon and it uses a
local git repos to perform all operations, instead of directly "calling"
the "remote git server".

Well, considering Chacon did it this way, I guess there's no better way
to do it but I wanted to ask if there's a way to receive info about
commits (revisions) remotely (like, "give me your tree of commits and
how they're related so I can check with mines") and also a good way to
create a "push" without having a full local git repos. I'm looking into
the NGit and lib2git libraries.

Thanks,

pablo